Index: orxonox/branches/openAL/ChangeLog
===================================================================
--- orxonox/branches/openAL/ChangeLog	(revision 3921)
+++ orxonox/branches/openAL/ChangeLog	(revision 4194)
@@ -1,2 +1,21 @@
+2005-05-10	Benjamin Grauer <bensch@orxonox.ethz.ch>
+	Merged the gui into the executable
+	Windows compiles again.
+
+2005-04-27	orxonox
+	Tagged Version 0.2.3-pre-alpha
+
+2005-04-23	Patrick Boenzli <patrick@orxonox.ethz.ch>
+	Finished most work on Animation-classes
+
+2005-04-21	Benjamin Grauer <bensch@orxonox.ethz.ch>
+	Material Class update: possibility for transparency.
+
+2005-04-15	Patrick Boenzli <partick@orxonox.ethz.ch>
+	Added AnimationPlayer and two animation classes.
+
+2005-04-07	Patrick Boenzli <patrick@orxonox.ethz.ch>
+	Reimplemeted the Weapon and shoot-functions
+
 2005-03-31	Benjamin Grauer <bensch@orxonox.ethz.ch>
 	Added Text Engine
Index: orxonox/branches/openAL/config.h.in
===================================================================
--- orxonox/branches/openAL/config.h.in	(revision 3921)
+++ orxonox/branches/openAL/config.h.in	(revision 4194)
@@ -22,7 +22,4 @@
 #undef HAVE_GL_GL_H
 
-/* if we have gThread */
-#undef HAVE_GTHREAD
-
 /* if we have GTK2 */
 #undef HAVE_GTK2
@@ -46,7 +43,4 @@
 /* Define to 1 if you have the <OpenGL/gl.h> header file. */
 #undef HAVE_OPENGL_GL_H
-
-/* Define to 1 if you have the <pthread.h> header file. */
-#undef HAVE_PTHREAD_H
 
 /* Define to 1 if you have the <SDL.h> header file. */
Index: orxonox/branches/openAL/configure.ac
===================================================================
--- orxonox/branches/openAL/configure.ac	(revision 3921)
+++ orxonox/branches/openAL/configure.ac	(revision 4194)
@@ -23,5 +23,5 @@
 #########################
 AC_PREREQ(2.56)
-AC_INIT(orxonox, 0.2.2-pre-alpha, [orxonox-dev at mail.datacore.ch])
+AC_INIT(orxonox, 0.2.3-pre-alpha, [orxonox-dev at mail.datacore.ch])
 
 ## Detect the canonical host and target build environment.
@@ -39,4 +39,5 @@
 #########################
 AC_PROG_CXX
+AC_PROG_RANLIB
 AC_HEADER_STDC
 
@@ -96,32 +97,4 @@
 fi 
 if test x$def_gtk = xno; then 
-  echo "no"
-fi
-
-#------------------#
-# gThread-disabled #
-#------------------#
-AC_MSG_CHECKING([if gThread should be enabled])
-AC_ARG_WITH([gthread], 
-	AC_HELP_STRING(	[--without-gthread],
-	[Prevents gThread from being loaded]), [def_gthread=no], [def_gthread=yes]) 
-if test x$def_gthread = xyes; then 
-  echo "yes"
-fi 
-if test x$def_gthread = xno; then 
-  echo "no"
-fi
-
-#------------------#
-# pthread-disabled #
-#------------------#
-AC_MSG_CHECKING([if pthread should be enabled])
-AC_ARG_WITH([pthread], 
-	AC_HELP_STRING(	[--without-pthread], 
-	[Prevents pthread from being loaded]), [def_pthread=no], [def_pthread=yes]) 
-if test x$def_pthread = xyes; then 
-  echo "yes"
-fi 
-if test x$def_pthread = xno; then 
   echo "no"
 fi
@@ -218,4 +191,12 @@
 #--------------------#
 AC_PATH_PROG(GPROF, gprof)
+
+#-------------------------#
+# checking for pkg-config #
+#-------------------------#
+if test x$def_gtk = xyes; then
+ AC_PATH_PROG(PKG_CONFIG, pkg-config)
+fi
+
 
 #########################
@@ -482,13 +463,16 @@
 #-----#
 if test x$def_gtk = xyes; then 
-
 	#PKG_CHECK_MODULES(GTK2, gtk+-2.0 >= 2.0.3 gthread-2.0 >= 2.0.3, have_gtk2=yes, have_gtk2=no)
 	AC_MSG_CHECKING([for gtk2.0])
-	if `pkg-config --exists gtk+-2.0`; then
+	if `$PKG_CONFIG --exists gtk+-2.0`; then
   		echo "yes"
   		have_gtk2=yes
-		GTK2_LIBS=`pkg-config --libs gtk+-2.0`
-		GTK2_CFLAGS=`pkg-config --cflags gtk+-2.0`
+		GTK2_LIBS=`$PKG_CONFIG --libs gtk+-2.0`
+		GTK2_CFLAGS=`$PKG_CONFIG --cflags gtk+-2.0`
 		AC_DEFINE_UNQUOTED(HAVE_GTK2, 1, [if we have GTK2])
+		if test $DEBUG -ge 3; then
+		 echo "cflags: $GTK2_CFLAGS"
+		 echo "libs: $GTK2_LIBS"
+		fi
 	else
 		echo "no"
@@ -499,25 +483,4 @@
 AC_SUBST(GTK2_CFLAGS)
 AM_CONDITIONAL(HAVE_GTK2, test x$have_gtk2 = xyes)
-
-#---------#
-# gThread #
-#---------#
-if test x$def_gthread = xyes; then 
-
-	AC_MSG_CHECKING([for gthread])
-	if `pkg-config --exists gthread-2.0`; then
-  		echo "yes"
-  		have_gthread=yes
-		GTHREAD_LIBS=`pkg-config --libs gthread-2.0`
-		GTHREAD_CFLAGS=`pkg-config --cflags gthread-2.0`
-		AC_DEFINE_UNQUOTED(HAVE_GTHREAD, 1, [if we have gThread])
-	else
-		echo "no"
-	fi
-
-fi
-AC_SUBST(GTHREAD_LIBS)
-AC_SUBST(GTHREAD_CFLAGS)
-AM_CONDITIONAL(HAVE_GTHREAD, test x$have_gthread = xyes)
 
 #---------#
@@ -541,18 +504,4 @@
 AC_SUBST(CURL_CFLAGS)
 AM_CONDITIONAL(HAVE_CURL, test x$have_curl = xyes)
-
-#---------#
-# pthread #
-#---------#
-if test x$def_pthread = xyes ; then
- if test x$have_gthread = xyes ; then
-  AC_CHECK_HEADERS([pthread.h], [pthreadHeader="yes"], [pthreadHeader="no"])
-  AC_CHECK_LIB([pthread], [main], [FOUND_pthread=yes])
-   if test x$FOUND_pthread = xyes ; then
-      LIBS="$LIBS -lpthread"
-   fi
- fi
-fi
-
 
 #--------#
Index: orxonox/branches/openAL/scripts/data.checkout
===================================================================
--- orxonox/branches/openAL/scripts/data.checkout	(revision 4194)
+++ orxonox/branches/openAL/scripts/data.checkout	(revision 4194)
@@ -0,0 +1,8 @@
+#!/bin/bash
+
+if [ -z "$1" ]
+then
+    svn co https://svn.orxonox.ethz.ch/data data
+else
+    svn co https://svn.orxonox.ethz.ch/data data --username $1
+fi
Index: orxonox/branches/openAL/scripts/data.genlist.pl
===================================================================
--- orxonox/branches/openAL/scripts/data.genlist.pl	(revision 4194)
+++ orxonox/branches/openAL/scripts/data.genlist.pl	(revision 4194)
@@ -0,0 +1,68 @@
+#!/usr/bin/perl
+########################################################################## 
+#   orxonox - the future of 3D-vertical-scrollers			 #
+#									 #
+#   Copyright (C) 2004 orx						 #
+#									 #
+#   This program is free software; you can redistribute it and/or modify #
+#   it under the terms of the GNU General Public License as published by #
+#   the Free Software Foundation; either version 2, or (at your option)  #
+#   any later version.							 #
+#									 #
+#   ### File Specific:							 #
+#   main-programmer: Benjamin Grauer					 #
+#   co-programmer: ...							 #
+#									 #
+#   This is a simple perl script, that generates a List of all files     #
+#   contained in a Folder checked out with SVN and writes into an output #
+#   file.                                                                #
+##########################################################################
+
+if (@ARGV[0] eq "-h" || $ARGV[0] eq "--help" || @ARGV != 2)
+  {
+    die ("usage: data.genlist.pl <data-directory> <output-file>\n");
+  }
+
+
+if (! -d @ARGV[0])
+  {
+    die ("@ARGV[0] is not regular Directory.\n");
+  }
+
+open(FD, "> @ARGV[1]") or die("Couldn't open @ARGV[1]\n") ;
+
+
+&createFileList(@ARGV[0]);
+
+close(FD);
+
+
+sub createFileList
+  {
+   my ($folderName) = @_;
+   my ($fullName);
+   my ($inputFile);
+   my ($printFile);
+   my (@folderList);
+
+   open(FOLDERLIST, "ls $folderName -1 |");
+   @folderList = <FOLDERLIST>;
+
+   foreach $inputFile (@folderList)
+     {
+       if ($inputFile eq "." || $inputFile eq "..")
+	 {
+
+	 }
+       chomp($inputFile);
+       $fullName = "$folderName/$inputFile";
+
+       $printFile = $fullName;
+       $printFile =~ s/@ARGV[0]//;
+       print FD "$printFile\n";
+       if (-d $fullName )
+	 {
+	   &createFileList($fullName);
+	 }
+     }
+ }
Index: orxonox/branches/openAL/scripts/gtk-config.osXframework
===================================================================
--- orxonox/branches/openAL/scripts/gtk-config.osXframework	(revision 4194)
+++ orxonox/branches/openAL/scripts/gtk-config.osXframework	(revision 4194)
@@ -0,0 +1,112 @@
+#!/bin/sh
+
+glib_libs="-framework GLib"
+glib_cflags="-I/Library/Frameworks/GLib.framework/Headers"
+glib_thread_libs="-framework GLib -lpthread"
+glib_thread_cflags="-I/Library/Frameworks/GLib.framework/Headers"
+
+prefix=/Library/Frameworks
+gtk_fw_prefix=/Library/Frameworks
+exec_prefix=${prefix}
+exec_prefix_set=no
+
+usage()
+{
+	cat <<EOF
+Usage: gtk-config [OPTIONS] [LIBRARIES]
+Options:
+	[--prefix[=DIR]]
+	[--exec-prefix[=DIR]]
+	[--version]
+	[--libs]
+	[--cflags]
+Libraries:
+	gtk
+	gthread
+EOF
+	exit $1
+}
+
+if test $# -eq 0; then
+	usage 1 1>&2
+fi
+
+lib_gtk=yes
+
+while test $# -gt 0; do
+  case "$1" in
+  -*=*) optarg=`echo "$1" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
+  *) optarg= ;;
+  esac
+
+  case $1 in
+    --prefix=*)
+      prefix=$optarg
+      if test $exec_prefix_set = no ; then
+        exec_prefix=$optarg
+      fi
+      ;;
+    --prefix)
+      echo_prefix=yes
+      ;;
+    --exec-prefix=*)
+      exec_prefix=$optarg
+      exec_prefix_set=yes
+      ;;
+    --exec-prefix)
+      echo_exec_prefix=yes
+      ;;
+    --version)
+      echo 1.2.10
+      ;;
+    --cflags)
+      echo_cflags=yes
+      ;;
+    --libs)
+      echo_libs=yes
+      ;;
+    gtk)
+      lib_gtk=yes
+      ;;
+    gthread)
+      lib_gthread=yes
+      ;;
+    *)
+      usage 1 1>&2
+      ;;
+  esac
+  shift
+done
+
+if test "$echo_prefix" = "yes"; then
+	echo $prefix
+fi
+
+if test "$echo_exec_prefix" = "yes"; then
+	echo $exec_prefix
+fi
+
+if test "$lib_gthread" = "yes"; then
+      glib_cflags="$glib_thread_cflags"
+      glib_libs="$glib_thread_libs"
+fi
+
+if test "$echo_cflags" = "yes"; then
+      echo -F${gtk_fw_prefix} ${glib_cflags} -I${gtk_fw_prefix}/GDK.framework/Headers -I${gtk_fw_prefix}/GTK.framework/Headers
+fi
+
+if test "$echo_libs" = "yes"; then
+      my_glib_libs=
+      libdirs=-F${exec_prefix}
+      for i in $glib_libs ; do
+        if test $i != -F${exec_prefix} ; then
+          if test -z "$my_glib_libs" ; then
+            my_glib_libs="$i"
+          else
+            my_glib_libs="$my_glib_libs $i"
+          fi
+        fi
+      done
+
+      echo $libdirs -F${gtk_fw_prefix} -framework GLib -framework GDK -framework GTK ${glib_cflags} -lm
+fi
Index: orxonox/branches/openAL/scripts/orxodox.checkFiles.pl
===================================================================
--- orxonox/branches/openAL/scripts/orxodox.checkFiles.pl	(revision 4194)
+++ orxonox/branches/openAL/scripts/orxodox.checkFiles.pl	(revision 4194)
@@ -0,0 +1,294 @@
+#!/usr/bin/perl
+########################################################################## 
+#   orxonox - the future of 3D-vertical-scrollers			 #
+#									 #
+#   Copyright (C) 2004 orx						 #
+#									 #
+#   This program is free software; you can redistribute it and/or modify #
+#   it under the terms of the GNU General Public License as published by #
+#   the Free Software Foundation; either version 2, or (at your option)  #
+#   any later version.							 #
+#									 #
+#   ### File Specific:							 #
+#   main-programmer: Benjamin Grauer					 #
+#   co-programmer: ...							 #
+#									 #
+#   This Script is for parsing single or multiple files for their        #
+#   doxygeb-tags, and outputs the warnings and errors, but prehibits     #
+#   the progress from being displayed.                                   #
+#   Usage: ./orxodox.checkFiles.pl [fileName1 [fileName2 [...]]]         #
+#   This script ignores file-extensions, and assumes that either         #
+#   .h, .cc or both may exist, and searches for them.                    #
+##########################################################################
+
+$inputFiles = @ARGV[0];
+$tempDoxFile = "TMPorxodox";
+
+unless (open (DOXfile, ">$tempDoxFile"))
+ {
+   die("cannot open file\n");
+ }
+
+$processFiles = "";
+$numberOfFiles = 0;
+foreach $inputFile (@ARGV)
+  {
+    $tmpNumber = $numberOfFiles;
+
+    $inputFile =~ s/\.cc$//;
+    $inputFile =~ s/\.h$//;
+
+    print "checking file $inputFile: ";
+
+    $inputFile =~ s/$/\.h/;
+    if (-e $inputFile)
+      {
+	$processFiles = "$processFiles $inputFile";
+	$numberOfFiles++;
+	print "found .h ";
+      }
+    $inputFile =~ s/\.h$/\.cc/;
+    if (-e $inputFile)
+      {
+	$processFiles = "$processFiles $inputFile";
+	$numberOfFiles++;
+	print "...found .cc ";
+      }
+    if ($tmpNumber == $numberOfFiles) {print "no matching files found";}
+    print "\n";
+  }
+
+if ($numberOfFiles == 0 && @ARGV !=0){
+  die("no Files have been found\n");}
+
+print "==================================================================\n";
+print "Generating temporary Documentation File\n";
+print "==================================================================\n";
+
+print DOXfile "# THIS IS A DEFAULT FILE FOR DOXYGEN DOCUMENTATION";
+
+printf DOXfile "# Doxyfile 1.3.7 \
+## SAMPLE FILE (to be executed from orxonox/trunk/) \
+ \
+#--------------------------------------------------------------------------- \
+# Project related configuration options \
+#--------------------------------------------------------------------------- \
+PROJECT_NAME           = Orxonox \
+PROJECT_NUMBER         = 1 \
+OUTPUT_DIRECTORY       = doxygen/ \
+CREATE_SUBDIRS         = YES \
+OUTPUT_LANGUAGE        = English \
+USE_WINDOWS_ENCODING   = YES \
+BRIEF_MEMBER_DESC      = YES \
+REPEAT_BRIEF           = YES \
+ABBREVIATE_BRIEF       =  \
+ALWAYS_DETAILED_SEC    = NO \
+INLINE_INHERITED_MEMB  = NO \
+FULL_PATH_NAMES        = NO \
+STRIP_FROM_PATH        =  \
+STRIP_FROM_INC_PATH    =  \
+SHORT_NAMES            = NO \
+JAVADOC_AUTOBRIEF      = NO \
+MULTILINE_CPP_IS_BRIEF = NO \
+DETAILS_AT_TOP         = NO \
+INHERIT_DOCS           = YES \
+DISTRIBUTE_GROUP_DOC   = NO \
+TAB_SIZE               = 8 \
+ALIASES                =  \
+OPTIMIZE_OUTPUT_FOR_C  = NO \
+OPTIMIZE_OUTPUT_JAVA   = NO \
+SUBGROUPING            = YES \
+#--------------------------------------------------------------------------- \
+# Build related configuration options \
+#--------------------------------------------------------------------------- \
+EXTRACT_ALL            = NO \
+EXTRACT_PRIVATE        = YES \
+EXTRACT_STATIC         = YES \
+EXTRACT_LOCAL_CLASSES  = YES \
+EXTRACT_LOCAL_METHODS  = NO \
+HIDE_UNDOC_MEMBERS     = NO \
+HIDE_UNDOC_CLASSES     = NO \
+HIDE_FRIEND_COMPOUNDS  = NO \
+HIDE_IN_BODY_DOCS      = NO \
+INTERNAL_DOCS          = NO \
+CASE_SENSE_NAMES       = YES \
+HIDE_SCOPE_NAMES       = NO \
+SHOW_INCLUDE_FILES     = YES \
+INLINE_INFO            = YES \
+SORT_MEMBER_DOCS       = YES \
+SORT_BRIEF_DOCS        = NO \
+SORT_BY_SCOPE_NAME     = NO \
+GENERATE_TODOLIST      = YES \
+GENERATE_TESTLIST      = YES \
+GENERATE_BUGLIST       = YES \
+GENERATE_DEPRECATEDLIST= YES \
+ENABLED_SECTIONS       =  \
+MAX_INITIALIZER_LINES  = 30 \
+SHOW_USED_FILES        = YES \
+#--------------------------------------------------------------------------- \
+# configuration options related to warning and progress messages \
+#--------------------------------------------------------------------------- \
+QUIET                  = YES \
+WARNINGS               = YES \
+WARN_IF_UNDOCUMENTED   = YES \
+WARN_IF_DOC_ERROR      = YES \
+WARN_FORMAT            = \"\$file:\$line: \$text\" \
+WARN_LOGFILE           =  \
+#--------------------------------------------------------------------------- \
+# configuration options related to the input files \
+#--------------------------------------------------------------------------- \
+INPUT                  = $processFiles \
+FILE_PATTERNS          =  \
+RECURSIVE              = NO \
+EXCLUDE                =  \
+EXCLUDE_SYMLINKS       = NO \
+EXCLUDE_PATTERNS       =  \
+EXAMPLE_PATH           =  \
+EXAMPLE_PATTERNS       =  \
+EXAMPLE_RECURSIVE      = NO \
+IMAGE_PATH             =  \
+INPUT_FILTER           =  \
+FILTER_SOURCE_FILES    = NO \
+#--------------------------------------------------------------------------- \
+# configuration options related to source browsing \
+#--------------------------------------------------------------------------- \
+SOURCE_BROWSER         = NO \
+INLINE_SOURCES         = NO \
+STRIP_CODE_COMMENTS    = YES \
+REFERENCED_BY_RELATION = YES \
+REFERENCES_RELATION    = YES \
+VERBATIM_HEADERS       = YES \
+#--------------------------------------------------------------------------- \
+# configuration options related to the alphabetical class index \
+#--------------------------------------------------------------------------- \
+ALPHABETICAL_INDEX     = NO \
+COLS_IN_ALPHA_INDEX    = 5 \
+IGNORE_PREFIX          =  \
+#--------------------------------------------------------------------------- \
+# configuration options related to the HTML output \
+#--------------------------------------------------------------------------- \
+GENERATE_HTML          = YES \
+HTML_OUTPUT            = html \
+HTML_FILE_EXTENSION    = .html \
+HTML_HEADER            =  \
+HTML_FOOTER            =  \
+HTML_STYLESHEET        =  \
+HTML_ALIGN_MEMBERS     = YES \
+GENERATE_HTMLHELP      = NO \
+CHM_FILE               =  \
+HHC_LOCATION           =  \
+GENERATE_CHI           = NO \
+BINARY_TOC             = NO \
+TOC_EXPAND             = NO \
+DISABLE_INDEX          = NO \
+ENUM_VALUES_PER_LINE   = 4 \
+GENERATE_TREEVIEW      = NO \
+TREEVIEW_WIDTH         = 250 \
+#--------------------------------------------------------------------------- \
+# configuration options related to the LaTeX output \
+#--------------------------------------------------------------------------- \
+GENERATE_LATEX         = NO \
+LATEX_OUTPUT           = latex \
+LATEX_CMD_NAME         = latex \
+MAKEINDEX_CMD_NAME     = makeindex \
+COMPACT_LATEX          = NO \
+PAPER_TYPE             = a4wide \
+EXTRA_PACKAGES         =  \
+LATEX_HEADER           =  \
+PDF_HYPERLINKS         = NO \
+USE_PDFLATEX           = NO \
+LATEX_BATCHMODE        = NO \
+LATEX_HIDE_INDICES     = NO \
+#--------------------------------------------------------------------------- \
+# configuration options related to the RTF output \
+#--------------------------------------------------------------------------- \
+GENERATE_RTF           = NO \
+RTF_OUTPUT             = rtf \
+COMPACT_RTF            = NO \
+RTF_HYPERLINKS         = NO \
+RTF_STYLESHEET_FILE    =  \
+RTF_EXTENSIONS_FILE    =  \
+#--------------------------------------------------------------------------- \
+# configuration options related to the man page output \
+#--------------------------------------------------------------------------- \
+GENERATE_MAN           = NO \
+MAN_OUTPUT             = man \
+MAN_EXTENSION          = .3 \
+MAN_LINKS              = NO \
+#--------------------------------------------------------------------------- \
+# configuration options related to the XML output \
+#--------------------------------------------------------------------------- \
+GENERATE_XML           = NO \
+XML_OUTPUT             = xml \
+XML_SCHEMA             =  \
+XML_DTD                =  \
+XML_PROGRAMLISTING     = YES \
+#--------------------------------------------------------------------------- \
+# configuration options for the AutoGen Definitions output \
+#--------------------------------------------------------------------------- \
+GENERATE_AUTOGEN_DEF   = NO \
+#--------------------------------------------------------------------------- \
+# configuration options related to the Perl module output \
+#--------------------------------------------------------------------------- \
+GENERATE_PERLMOD       = NO \
+PERLMOD_LATEX          = NO \
+PERLMOD_PRETTY         = YES \
+PERLMOD_MAKEVAR_PREFIX =  \
+#--------------------------------------------------------------------------- \
+# Configuration options related to the preprocessor    \
+#--------------------------------------------------------------------------- \
+ENABLE_PREPROCESSING   = YES \
+MACRO_EXPANSION        = NO \
+EXPAND_ONLY_PREDEF     = NO \
+SEARCH_INCLUDES        = YES \
+INCLUDE_PATH           =  \
+INCLUDE_FILE_PATTERNS  =  \
+PREDEFINED             =  \
+EXPAND_AS_DEFINED      =  \
+SKIP_FUNCTION_MACROS   = YES \
+#--------------------------------------------------------------------------- \
+# Configuration::additions related to external references    \
+#--------------------------------------------------------------------------- \
+TAGFILES               =  \
+GENERATE_TAGFILE       =  \
+ALLEXTERNALS           = NO \
+EXTERNAL_GROUPS        = YES \
+PERL_PATH              = /usr/bin/perl \
+#--------------------------------------------------------------------------- \
+# Configuration options related to the dot tool    \
+#--------------------------------------------------------------------------- \
+CLASS_DIAGRAMS         = YES \
+HIDE_UNDOC_RELATIONS   = YES \
+HAVE_DOT               = NO \
+CLASS_GRAPH            = YES \
+COLLABORATION_GRAPH    = YES \
+UML_LOOK               = NO \
+TEMPLATE_RELATIONS     = NO \
+INCLUDE_GRAPH          = YES \
+INCLUDED_BY_GRAPH      = YES \
+CALL_GRAPH             = NO \
+GRAPHICAL_HIERARCHY    = YES \
+DOT_IMAGE_FORMAT       = png \
+DOT_PATH               =  \
+DOTFILE_DIRS           =  \
+MAX_DOT_GRAPH_WIDTH    = 1024 \
+MAX_DOT_GRAPH_HEIGHT   = 1024 \
+MAX_DOT_GRAPH_DEPTH    = 0 \
+GENERATE_LEGEND        = YES \
+DOT_CLEANUP            = YES \
+#--------------------------------------------------------------------------- \
+# Configuration::additions related to the search engine    \
+#--------------------------------------------------------------------------- \
+SEARCHENGINE           = NO \
+ \
+";
+
+close DOXfile;
+
+print "==================================================================\n";
+print "Generating Documentation of $processFiles\n";
+print "==================================================================\n";
+exec("doxygen $tempDoxFile");
+
+
+unlink $tmpDoxFile;
Index: orxonox/branches/openAL/src/Makefile.am
===================================================================
--- orxonox/branches/openAL/src/Makefile.am	(revision 3921)
+++ orxonox/branches/openAL/src/Makefile.am	(revision 4194)
@@ -8,5 +8,7 @@
 AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/graphics
 AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/graphics/importer
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/graphics/particles
 AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/gui
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/gui/gui
 AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/lang
 AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/util
@@ -20,13 +22,16 @@
 AM_CXXFLAGS+=-I$(MAINSRCDIR)/util/animation
 AM_CXXFLAGS+=-I$(MAINSRCDIR)/util/common
-
-
-AM_LDFLAGS= $(MWINDOWS)
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/subprojects
+
+
 
 #"-O3 -pedantic -fPIC -ffast-math -I/usr/X11R6/include"
 
 
-bin_PROGRAMS=orxonox
-
+bin_PROGRAMS=orxonox 
+noinst_LIBRARIES = libORXgui.a
+
+orxonox_DEPENDENCIES = libORXgui.a
+orxonox_LDADD = libORXgui.a $(GTK2_LIBS) $(GTHREAD_LIBS) $(CURL_LIBS)
 orxonox_SOURCES= orxonox.cc \
 		 game_loader.cc \
@@ -36,4 +41,5 @@
 		 track_manager.cc \
 		 track_node.cc \
+		 factory.cc \
 		 util/animation/animation.cc \
 		 util/animation/animation3d.cc \
@@ -69,4 +75,7 @@
 		 lib/graphics/importer/material.cc \
 		 lib/graphics/importer/texture.cc \
+		 lib/graphics/particles/particle_engine.cc \
+		 lib/graphics/particles/particle_system.cc \
+		 lib/graphics/particles/particle_emitter.cc \
 		 lib/lang/base_entity.cc \
 		 lib/lang/base_object.cc \
@@ -76,5 +85,10 @@
 		 lib/math/vector.cc \
 		 lib/math/curve.cc \
-		 glmenu/glmenu_imagescreen.cc 
+		 glmenu/glmenu_imagescreen.cc \
+		 lib/xmlparser/tinyxml.cc \
+		 lib/xmlparser/tinystr.cc \
+		 lib/xmlparser/tinyxmlerror.cc \
+		 lib/xmlparser/tinyxmlparser.cc \
+		 subprojects/benchmark.cc
 
 noinst_HEADERS = orxonox.h \
@@ -119,4 +133,5 @@
 		 defs/error.h \
 		 defs/debug.h \
+		 defs/globals.h \
 		 lib/coord/p_node.h \
 		 lib/coord/null_parent.h \
@@ -125,4 +140,7 @@
 		 lib/graphics/light.h \
 		 lib/graphics/text_engine.h \
+		 lib/graphics/particles/particle_engine.h \
+		 lib/graphics/particles/particle_system.h \
+		 lib/graphics/particles/particle_emitter.h \
 		 lib/data/data_tank.h \
 		 lib/lang/base_entity.h \
@@ -134,5 +152,29 @@
 		 lib/math/vector.h \
 		 lib/math/curve.h \
-		 glmenu/glmenu_imagescreen.h 
+		 glmenu/glmenu_imagescreen.h \
+		 lib/gui/gui/gui.h \
+	         lib/gui/gui/gui_gtk.h \
+	         lib/gui/gui/gui_element.h \
+	         lib/gui/gui/gui_video.h \
+	         lib/gui/gui/gui_audio.h \
+	         lib/gui/gui/gui_exec.h \
+	         lib/gui/gui/gui_flags.h \
+	         lib/gui/gui/gui_banner.h \
+	         lib/gui/gui/gui_keys.h \
+	         lib/gui/gui/gui_update.h \
+		 subprojects/benchmark.h
+
+libORXgui_a_CPPFLAGS=$(GTK2_CFLAGS) $(GTHREAD_CFLAGS) $(CURL_CFLAGS) $(MSBITFIELDS)
+
+libORXgui_a_SOURCES = lib/gui/gui/gui.cc \
+			    lib/gui/gui/gui_gtk.cc \
+	                    lib/gui/gui/gui_element.cc \
+	       	            lib/gui/gui/gui_video.cc \
+	                    lib/gui/gui/gui_audio.cc \
+	                    lib/gui/gui/gui_exec.cc \
+	                    lib/gui/gui/gui_flags.cc \
+	                    lib/gui/gui/gui_banner.cc \
+	                    lib/gui/gui/gui_keys.cc \
+	                    lib/gui/gui/gui_update.cc
 
 
Index: orxonox/branches/openAL/src/command_node.cc
===================================================================
--- orxonox/branches/openAL/src/command_node.cc	(revision 3921)
+++ orxonox/branches/openAL/src/command_node.cc	(revision 4194)
@@ -57,5 +57,5 @@
   this->bEnabled = true;
   this->world = NULL;
-  this->loadBindings (filename);
+  this->loadBindings(filename);
 }
 
@@ -111,11 +111,9 @@
    \param filename: The path and name of the file to load the bindings from
 */
-void CommandNode::loadBindings (char* filename)
+void CommandNode::loadBindings (char* filename = DEFAULT_KEYBIND_FILE)
 {
   FILE* stream;
   
   PRINTF(4)("Loading key bindings from %s\n", filename);
-  
-  if( filename == NULL) filename = DEFAULT_KEYBIND_FILE;
   
   // remove old bindings if present
@@ -128,7 +126,7 @@
   // create parser
   IniParser parser (filename);
-  if( parser.getSection ("Bindings") == -1)
-    {
-      PRINTF(1)("Could not find key bindings in %s\n", filename);
+  if( parser.getSection (CONFIG_SECTION_PLAYER "1") == -1)
+    {
+      PRINTF(1)("Could not find key bindings " CONFIG_SECTION_PLAYER"1 in %s\n", filename);
       return;
     }
@@ -144,14 +142,14 @@
   while( parser.nextVar (namebuf, valuebuf) != -1)
     {
-      index = nameToIndex (namebuf);
+      index = nameToIndex (valuebuf);
       switch( index[0])
 	{
 	case 0:
-	  PRINTF(4)("Key binding %d(%s) set to %s\n", index[1], SDLKToKeyname( index[1]), valuebuf);
-	  strcpy (aliases->keys[index[1]], valuebuf);
+	  PRINTF(4)("Key binding %d(%s) set to %s\n", index[1], SDLKToKeyname( index[1]), namebuf);
+	  strcpy (aliases->keys[index[1]], namebuf);
 	  break;
 	case 1:
-	  PRINTF(4)("Button binding %d(%s) set to %s\n", index[1], SDLBToButtonname( index[1]), valuebuf);
-	  strcpy (aliases->buttons[index[1]], valuebuf);
+	  PRINTF(4)("Button binding %d(%s) set to %s\n", index[1], SDLBToButtonname( index[1]), namebuf);
+	  strcpy (aliases->buttons[index[1]], namebuf);
 	  break;
 	default:
@@ -161,4 +159,33 @@
       memset (valuebuf, 0, 256);
     }
+
+
+  // PARSE MISC SECTION
+  if( parser.getSection (CONFIG_SECTION_MISC_KEYS) == -1)
+    {
+      PRINTF(1)("Could not find key bindings in %s\n", filename);
+      return;
+    }
+
+  while( parser.nextVar (namebuf, valuebuf) != -1)
+    {
+      index = nameToIndex (valuebuf);
+      switch( index[0])
+	{
+	case 0:
+	  PRINTF(4)("Key binding %d(%s) set to %s\n", index[1], SDLKToKeyname( index[1]), namebuf);
+	  strcpy (aliases->keys[index[1]], namebuf);
+	  break;
+	case 1:
+	  PRINTF(4)("Button binding %d(%s) set to %s\n", index[1], SDLBToButtonname( index[1]), namebuf);
+	  strcpy (aliases->buttons[index[1]], namebuf);
+	  break;
+	default:
+	  break;
+	}
+      memset (namebuf, 0, 256);
+      memset (valuebuf, 0, 256);
+    }
+
 }
 
Index: orxonox/branches/openAL/src/command_node.h
===================================================================
--- orxonox/branches/openAL/src/command_node.h	(revision 3921)
+++ orxonox/branches/openAL/src/command_node.h	(revision 4194)
@@ -18,5 +18,5 @@
 #define N_STD_KEYS SDLK_LAST
 #define N_BUTTONS 6
-#define DEFAULT_KEYBIND_FILE "default.ini"
+#define DEFAULT_KEYBIND_FILE "~/.orxonox/orxonox.conf"
 
 //! Key aliasing structure
Index: orxonox/branches/openAL/src/defs/debug.h
===================================================================
--- orxonox/branches/openAL/src/defs/debug.h	(revision 3921)
+++ orxonox/branches/openAL/src/defs/debug.h	(revision 4194)
@@ -59,9 +59,9 @@
 #define DEBUG_MODULE_PNODE              1
 #define DEBUG_MODULE_WORLD_ENTITY       0
-#define DEBUG_MODULE_COMMAND_NODE       0
+#define DEBUG_MODULE_COMMAND_NODE       4
 #define DEBUG_MODULE_GRAPHICS           0
-#define DEBUG_MODULE_LOAD               0
-
-#define DEBUG_MODULE_IMPORTER           1
+#define DEBUG_MODULE_LOAD               2
+
+#define DEBUG_MODULE_IMPORTER           3
 #define DEBUG_MODULE_TRACK_MANAGER      0
 #define DEBUG_MODULE_GARBAGE_COLLECTOR  0
@@ -72,4 +72,5 @@
 #define DEBUG_MODULE_FONT               1
 #define DEBUG_MODULE_ANIM               1
+#define DEBUG_MODULE_PARTICLE           4
 
 #define DEBUG_MODULE_NULL_PARENT        0
